The owner's invitation, until they accept it (null once they have)
GET
/v1/partner/organisations/{id}/owner-invitation
const url = 'https://api.threadkite.app/v1/partner/organisations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/owner-invitation';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.threadkite.app/v1/partner/organisations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/owner-invitation \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
ownerInvite
required
One of:
object
email
required
string format: email
expiresAt
required
string format: date-time
expired
required
The link has expired; resend it to send a fresh one
boolean
lastSentAt
required
string format: date-time
Example
{ "ownerInvite": { "email": "chris@smithmotors.co.uk" }}Missing or invalid app token (code invalid_app_token)
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
errors
With code invalid: every problem with the request, by field (message is the first)
Array<object>
object
path
required
Dotted path inside the item, e.g. attributes.price.amountMinor
string
message
required
string
Example
{ "statusCode": 403, "code": "forbidden", "message": "You do not have permission to do that.", "errors": [ { "message": "Enter the make" } ]}Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
errors
With code invalid: every problem with the request, by field (message is the first)
Array<object>
object
path
required
Dotted path inside the item, e.g. attributes.price.amountMinor
string
message
required
string
Example
{ "statusCode": 403, "code": "forbidden", "message": "You do not have permission to do that.", "errors": [ { "message": "Enter the make" } ]}Rate limit reached
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
retryAfter
required
Seconds until another request will be accepted
number
Example
{ "statusCode": 429, "code": "rate_limited", "message": "Too many requests. Each key can make 120 requests a minute; try again in 12 seconds.", "retryAfter": 12}